<!DOCTYPE html>
<html lang="en" class="use-slim-core">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flex</title>
    <link rel="stylesheet" href="../css/slim-core.css">
</head>
<body class="container pt-5">
    <div>
        <a href="./index.html">Previous</a>
    </div>
    <br>

    <h1>2- Flexbox</h1>
    <br>

    <h3>Row</h3>
    <div class="t-white text-center">
        <div class="row">
            <div class="col"><div class="bg-primary p-3">1</div></div>
            <div class="col"><div class="bg-primary p-3">2</div></div>
            <div class="col"><div class="bg-primary p-3">3</div></div>
            <div class="col"><div class="bg-primary p-3">4</div></div>
            <div class="col"><div class="bg-primary p-3">5</div></div>
        </div>
        <div class="row">
            <div class="col of-12 sm:of-6 md:of-4 lg:of-2 xl:of-1"><div class="bg-primary p-3">1</div></div>
            <div class="col of-12 sm:of-6 md:of-4 lg:of-2 xl:of-3"><div class="bg-primary p-3">2</div></div>
            <div class="col of-12 md:of-4 lg:of-4 xl:of-4"><div class="bg-primary p-3">3</div></div>
            <div class="col of-12 sm:of-6 md:of-6 lg:of-2 xl:of-3"><div class="bg-primary p-3">4</div></div>
            <div class="col of-12 sm:of-6 md:of-6 lg:of-2 xl:of-1"><div class="bg-primary p-3">5</div></div>
        </div>
        <div class="row">
            <div class="col of-12 sm:of-6"><div class="bg-primary p-3">1</div></div>
            <div class="col of-12 sm:of-6"><div class="bg-primary p-3">2</div></div>
            <div class="col of-12 sm:of-4"><div class="bg-primary p-3">3</div></div>
            <div class="col of-12 sm:of-6"><div class="bg-primary p-3">4</div></div>
            <div class="col of-12 sm:of-6"><div class="bg-primary p-3">5</div></div>
        </div>
    </div>
    <br><br>

    <h3>Row with gap</h3>
    <div class="t-white text-center">
        <div class="row gap-2">
            <div class="col of-12 sm:of-6 md:of-4 lg:of-2 xl:of-1"><div class="bg-primary p-3">1</div></div>
            <div class="col of-12 sm:of-6 md:of-4 lg:of-2 xl:of-3"><div class="bg-primary p-3">2</div></div>
            <div class="col of-12 md:of-4 lg:of-4 xl:of-4"><div class="bg-primary p-3">3</div></div>
            <div class="col of-12 sm:of-6 md:of-6 lg:of-2 xl:of-3"><div class="bg-primary p-3">4</div></div>
            <div class="col of-12 sm:of-6 md:of-6 lg:of-2 xl:of-1"><div class="bg-primary p-3">5</div></div>
        </div>
        <div class="row">
            <div class="col of-12 sm:of-6 md:of-4 lg:of-2 xl:of-1"><div class="bg-primary p-3">1</div></div>
            <div class="col of-12 sm:of-6 md:of-4 lg:of-2 xl:of-3"><div class="bg-primary p-3">2</div></div>
            <div class="col of-12 md:of-4 lg:of-4 xl:of-4"><div class="bg-primary p-3">3</div></div>
            <div class="col of-12 sm:of-6 md:of-6 lg:of-2 xl:of-3"><div class="bg-primary p-3">4</div></div>
            <div class="col of-12 sm:of-6 md:of-6 lg:of-2 xl:of-1"><div class="bg-primary p-3">5</div></div>
        </div>
    </div>
</body>
</html>